Bug 210217 - Review Request: pygpgme - Python module for working with OpenPGP messages
Review Request: pygpgme - Python module for working with OpenPGP messages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-10 16:03 EDT by Toshio Kuratomi
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 16:29:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Toshio Kuratomi 2006-10-10 16:03:35 EDT
Spec URL: http://www.tiki-lounge.com/~toshio/fedora/pygpgme.spec
SRPM URL: http://www.tiki-lounge.com/~toshio/fedora/pygpgme-0.1-1.src.rpm
Description: 
PyGPGME is a Python module that lets you sign, verify, encrypt and decrypt
files using the OpenPGP format.  It is built on top of GNU Privacy Guard and
the GPGME library.
Comment 1 Michał Bentkowski 2006-10-14 12:38:00 EDT
I'll make a review in a few hours, but as yet package looks fine to me.
Comment 2 Michał Bentkowski 2006-10-14 15:36:31 EDT
MUST items:
 * rpmlint output:
E: pygpgme unknown-key GPG#cd84ee48
 * package is named well
 * spec file name is good
 * package meets Packaging Guidelines
 * package is licensed with an LGPL (?) open-source compatible license
 * License field in spec file matches (?) actual license
 * license file isn't included in %doc
 * md5sums are matching (0878d866b6ee8a98a9003a81934ecee3)
 * package successfully compiles on x86_64
 * BuildRequires look listed well (but I haven't tried to build in mock)
 * no locales
 * no need to %post and %postun sections
 * not relocatable
 * package owns directories well
 * no duplicates in %files
 * every %files section includes %defattr
 * proper %clean section
 * macros used well

Package looks good, but I'm not sure if rpmlint is a blocker (maybe
someone more experienced will express his opinion?).
The another problem is lack of license file in %doc, but according
to guidelines: "If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc" so that's not a problem.
And the last thing is package license. You've written LGPL as license
but I couldn't find any information about that (no COPYING, nothing on
website) so please show me reliable source where I can find license info.
Comment 3 Toshio Kuratomi 2006-10-15 04:04:02 EDT
(In reply to comment #2)
>  * rpmlint output:
> E: pygpgme unknown-key GPG#cd84ee48

That would be my gpg key.  Which means you're probably running rpmlint over the
SRPM I provided instead of the one that you rebuilt.  (The ones that you rebuild
will have no signature... which Fedora's rpmlint doesn't complain about.)  This
should be fine but you may want to run rpmlint on the generated srpm/rpm to make
sure there's no problems that show up on your build but not mine.

> The another problem is lack of license file in %doc, but according
> to guidelines: "If (and only if) the source package includes the text of the
> license(s) in its own file, then that file, containing the text of the
> license(s) for the package must be included in %doc" so that's not a problem.
> And the last thing is package license. You've written LGPL as license
> but I couldn't find any information about that (no COPYING, nothing on
> website) so please show me reliable source where I can find license info.

It's in the PKG-INFO %doc file.

http://cheeseshop.python.org/pypi/pygpgme/0.1
lists the module as LGPL.  I also checked out the development version using bzr:

  bzr branch http://www.gnome.org/~jamesh/bzr/pygpgme

and there's a COPYING file present there with the LGPL text.  So I can include
that when the next release occurs.

I'll repoint the spec URL at cheeseshop.python.org to make this clearer:

Spec URL: http://www.tiki-lounge.com/~toshio/fedora/pygpgme.spec
SRPM URL: http://www.tiki-lounge.com/~toshio/fedora/pygpgme-0.1-2.src.rpm

* Fri Oct 13 2006 Toshio Kuratomi <toshio@tiki-lounge.com> - 0.1-2
- Change URL to cheeseshop
Comment 4 Michał Bentkowski 2006-10-15 05:41:40 EDT
(In reply to comment #3)

>   bzr branch http://www.gnome.org/~jamesh/bzr/pygpgme
> 
> and there's a COPYING file present there with the LGPL text.  So I can include
> that when the next release occurs.
> 

I see only an empty directory here ;)

But the license issues has been resolved so package may be APPROVED.
Don't forget about closing that ticket when you'll successfully build the
package.
Comment 5 Toshio Kuratomi 2006-10-15 05:57:54 EDT
Cool than(In reply to comment #4)
> (In reply to comment #3)
> 
> >   bzr branch http://www.gnome.org/~jamesh/bzr/pygpgme
> > 
> > and there's a COPYING file present there with the LGPL text.  So I can include
> > that when the next release occurs.
> > 
> 
> I see only an empty directory here ;)
> 
Heh.  Yeah.  That's why I wrote "bzr branch [URL]" ... so people wanting to look
at it would know you had to use bzr to checkou the repository.

> But the license issues has been resolved so package may be APPROVED.
> Don't forget about closing that ticket when you'll successfully build the
> package.
> 
Cool, thanks!
Comment 6 Toshio Kuratomi 2006-10-16 16:29:37 EDT
Successfully built for Development
Comment 7 Kevin Fenzi 2006-12-05 22:33:46 EST
Toshio: I don't see this package in owners.list. 
Can you please add it?

http://fedoraproject.org/wiki/Extras/Contributors#head-f6f080b4c48fe519c98a29364a740953f90179e7
Comment 8 Toshio Kuratomi 2006-12-05 23:58:19 EST
Oops.  Fixed.
Comment 9 Toshio Kuratomi 2007-07-24 15:54:13 EDT
Package Change Request
======================
Package Name: pygpgme
New Branches: EL-5
Updated Fedora Owners: toshio@tiki-lounge.com,ivazqueznet@gmail.com
Updated EPEL Owners: toshio@tiki-lounge.com,ivazqueznet@gmail.com

Branch for EPEL-5 and add Ignacio Vazquez as a comaintainer.
Comment 10 Ignacio Vazquez-Abrams 2007-07-30 13:22:12 EDT
Package Change Request
======================
Package Name: pygpgme
Updated EPEL Owners: toshio@tiki-lounge.com
Comment 11 Jason Tibbitts 2007-07-30 13:48:03 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.